#pragma once

#include "../databasemanager.h"
#include "../../core/models/account.h"
#include <QVector>
#include <QSqlQuery>
#include <QSqlError>
#include <QDebug>

class AccountDao
{
public:
    static bool insert(const Account& account);
    static bool update(const Account& account);
    static bool remove(int id);
    static Account* findById(int id);
    static QVector<Account> findAll();
    static Account* findByEmail(const QString& email);
};